@import "variables";
@import "vendor/bootstrap/bootstrap/variables"; // To resolve `$screen-md-min`

/*
This file works in concert with generate-navigation-helpers.js and is sectionalized by its corresponding methods:
- generateTableOfContents()
- generateHeaderLinks()/generateHeaderLinkScrollHelpers()
*/

/* Styles used with generateTableOfContents() */

.sidebar-layout-wrapper {
  .tocs-sidebar {
    display: none;

    a:not(.btn) {
      text-decoration: underline;
    }
  }

  .container {
    li {
      margin-top: 0.5em;

      &:last-child {
        margin-bottom: 0.5em;
      }
    }
  }
}

@media (min-width: $screen-md-min) {
  .sidebar-layout-wrapper {
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    padding: 0 20px;

    .tocs-sidebar {
      position: sticky;
      font-size: 16px;
      display: block;
      float: right;
      width: 30%;
      max-width: 30%;
      max-height: 100vh;
      top: 35px;
      padding: 0 20px;
      overflow-y: scroll;

      > h4 {
        margin-top: 30px;
        padding-bottom: 10px;
        border-bottom: 1px solid $color-gray-extra-light;
      }

      > ul {
        padding-left: 20px;
        padding-bottom: 50px;
      }
    }

    .container {
      float: left;
      max-width: 70%;
    }

    table {
      table-layout: fixed;
    }
  }
}

/* Styles used with generateHeaderLinks()/generateHeaderLinkScrollHelpers() */

.header-link-title {
  .header-link-anchor {
    opacity: 0;
    display: inline-block;
    width: 1em;
    height: 1em;
    max-height: 20px;
    vertical-align: middle;
    background: url("/images/icons/icon_anchor.svg") center center no-repeat;
    background-size: contain;
  }

  &::before {
    display: block;
    content: " ";
    margin-top: -75px;
    height: 75px;
    visibility: hidden;
  }

  &:hover {
    .header-link-anchor {
      opacity: 1;
    }
  }
}
